Subject: Re: [PATCH 2/3] make update-server-info more robust

From: Jeff King <[email-masked]>
Date: Mon, 15 Sep 2014 19:56:59 -0400

On Mon, Sep 15, 2014 at 11:39:12AM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > Since "git update-server-info" may be called automatically
> > as part of a push or a "gc --auto", we should be robust
> > against two processes trying to update it simultaneously.
> > However, we currently use a fixed tempfile, which means that
> > two simultaneous writers may step on each other's toes and
> > end up renaming junk into place.
> 
> Thanks.  I'll queue these clean-ups but we may want to start
> thinking about deprecating and removing the dumb http support.

Yeah, I have often thought about that (especially the push support,
which has always been flaky and underused). However, some possible
schemes for resumable clone could be easily implemented by shunting the
cloner to a dumb-http conversation. So it may be worth keeping at least
the fetch side around for the time being. Food for thought.

-Peff